[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'LCLType' (#lcl)

# TListChangeEvent

Specifies an event handler signalled when a value in a TListWithEvent instance is modified.

## Declaration

Source position: lcltype.pp line 2811

`type TListChangeEvent = procedure(`
`Ptr: Pointer;`
`AnAction: TListNotification`
`) of object;`

## Arguments

`Ptr` |  | An untyped Pointer to the modified list item for the event.
`AnAction` |  | Indicates the action performed for the list item that caused the notification event.

## Description

TListChangeEvent is the type used for the OnChange event handler property in TListWithEvent.

## See also

TListWithEvent.OnChange |  | Event handler signalled when a value is added to or removed from the list.
TListWithEvent.Notify |  | Handles the notification when a value is added to or removed from the list.
TListNotification